local nof_markers = 0
local id = -1
local name = ''
local isregion = false
local ids = {}

-- check if markers exist
_, nof_markers, _ = reaper.CountProjectMarkers(0)
for i = 0, nof_markers - 1 do
    _, isregion, _, _, name, id = reaper.EnumProjectMarkers(i)
    if  not isregion and
        (name == 'SRC-IN_4Pcut' or 
        name == 'SRC-OUT_4Pcut' or
        name == 'DST-IN_4Pcut' or
        name == 'DST-OUT_4Pcut') then
        table.insert(ids, id)
    end
end
-- delete markers
for _, id in ipairs(ids) do
    reaper.DeleteProjectMarker(0, id, false)
end